<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">HttpServer Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classHttpServer.html">HttpServer</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classHttpServer.html#aac086f847e37748c0c54f1e295baf2e4">addPathHandler</a>(std::string method, std::string pathExpr, void(*webServerRequestHandler)(HttpRequest *pHttpRequest, HttpResponse *pHttpResponse))</td><td class="entry"><a class="el" href="classHttpServer.html">HttpServer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classHttpServer.html#a57af2880e0ac2d49cd0ca8d35e662b4d">addPathHandler</a>(std::string method, std::regex *pRegex, void(*webServerRequestHandler)(HttpRequest *pHttpRequest, HttpResponse *pHttpResponse))</td><td class="entry"><a class="el" href="classHttpServer.html">HttpServer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classHttpServer.html#a284988ba72075a9abc3af5499ed9ed56">getClientTimeout</a>()</td><td class="entry"><a class="el" href="classHttpServer.html">HttpServer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classHttpServer.html#ac771b9fe9b2d825df7231ff0dee7e253">getFileBufferSize</a>()</td><td class="entry"><a class="el" href="classHttpServer.html">HttpServer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classHttpServer.html#af4a61a2ac8da8773025da0d2fde1aef5">getPort</a>()</td><td class="entry"><a class="el" href="classHttpServer.html">HttpServer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classHttpServer.html#aa4dfccf48a9c721ca8bb00d61f7b4e13">getRootPath</a>()</td><td class="entry"><a class="el" href="classHttpServer.html">HttpServer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classHttpServer.html#ad3d17b4df0252445a2ed4f0f8ea06201">getSSL</a>()</td><td class="entry"><a class="el" href="classHttpServer.html">HttpServer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classHttpServer.html#a303273c5e6469b4ea4277668cd86ec67">HttpServer</a>()</td><td class="entry"><a class="el" href="classHttpServer.html">HttpServer</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>HttpServerTask</b> (defined in <a class="el" href="classHttpServer.html">HttpServer</a>)</td><td class="entry"><a class="el" href="classHttpServer.html">HttpServer</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr><td class="entry"><a class="el" href="classHttpServer.html#ad70784b8f9484a16bf74c34413a24d4d">setClientTimeout</a>(uint32_t timeout)</td><td class="entry"><a class="el" href="classHttpServer.html">HttpServer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classHttpServer.html#aab1f060cbbaaeaa2b75f812e866e6ff0">setDirectoryListing</a>(bool use)</td><td class="entry"><a class="el" href="classHttpServer.html">HttpServer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classHttpServer.html#a7686343c224f5e8a62f5f07de481345d">setFileBufferSize</a>(size_t fileBufferSize)</td><td class="entry"><a class="el" href="classHttpServer.html">HttpServer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classHttpServer.html#a141a7cde0ccf11ff395df0faef79d6a5">setRootPath</a>(std::string path)</td><td class="entry"><a class="el" href="classHttpServer.html">HttpServer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classHttpServer.html#a79bbf11522346b2eae709e6112b130c2">start</a>(uint16_t portNumber, bool useSSL=false)</td><td class="entry"><a class="el" href="classHttpServer.html">HttpServer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classHttpServer.html#aad9c63d3f8cda248e3c87067ac3ac5a5">stop</a>()</td><td class="entry"><a class="el" href="classHttpServer.html">HttpServer</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>WebSocket</b> (defined in <a class="el" href="classHttpServer.html">HttpServer</a>)</td><td class="entry"><a class="el" href="classHttpServer.html">HttpServer</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>~HttpServer</b>() (defined in <a class="el" href="classHttpServer.html">HttpServer</a>)</td><td class="entry"><a class="el" href="classHttpServer.html">HttpServer</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
